<?xml version="1.0" encoding="utf-8"?>
<!--
 * Copyright (c) 2009, 2012, The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *    * Neither the name of The Linux Foundation nor
 *      the names of its contributors may be used to endorse or promote
 *      products derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<merge xmlns:android="http://schemas.android.com/apk/res/android">

    <LinearLayout android:id="@+id/station_info"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_weight="0"
        android:orientation="vertical"
        android:gravity="top">

        <RelativeLayout android:id="@+id/top_most"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content">

            <ImageView android:id="@+id/signal_level"
                android:src="@drawable/ic_signal_2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingLeft="5dip"
                android:layout_alignParentTop="true"
                android:layout_alignParentLeft="true"
                android:visibility="gone"/>

            <TextView android:id="@+id/prog_service_tv"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_alignParentLeft="true"
                android:paddingLeft="15dp"
                android:layout_alignBaseline="@id/signal_level"
                android:textSize="16sp"
                android:singleLine="true"
                android:textStyle="normal"
                android:text="@string/prog_service_string"
               />

            <TextView android:id="@+id/record_msg_tv"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@drawable/recorder"
                android:layout_below="@+id/prog_service_tv"
                android:paddingLeft="15dp"
                android:textSize="14sp"
                android:textStyle="bold"
                android:visibility="invisible"
                android:text="@string/default_record"/>

            <TextView android:id="@+id/stereo_text_tv"
                android:textAppearance="?android:attr/textAppearanceSmall"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingRight="16dp"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:layout_alignBaseline="@id/signal_level"
                android:textSize="13sp"
                android:text="@string/default_audio"/>

        </RelativeLayout>

        <LinearLayout android:id="@+id/station_frequency_row"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="5dp"
            android:paddingBottom="5dp"
            android:layout_alignWithParentIfMissing="true"
            android:gravity="center">

            <TextView android:id="@+id/call_sign_tv"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:paddingTop="2dp"
                android:paddingRight="2dp"
                android:paddingBottom="2dp"
                android:paddingLeft="2dp"
                android:text="@string/station_id_string" />

            <TextView android:id="@+id/pty_tv"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:paddingTop="2dp"
                android:paddingRight="2dp"
                android:paddingBottom="2dp"
                android:paddingLeft="2dp"
                android:text="@string/pty_string" />
        </LinearLayout>
    <RelativeLayout android:id="@+id/second_layout"
        android:layout_width="fill_parent" android:layout_height="wrap_content"
        android:layout_marginTop="2dp" android:layout_marginBottom="2dp"
        android:layout_marginLeft="3dp" android:layout_marginRight="2dp">
        <TextView android:id="@+id/prog_frequency_tv"
            android:textAppearance="?android:attr/textAppearanceLarge"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="30sp"
            android:gravity="center"
            android:text="@string/frequency_string"
            android:layout_toLeftOf="@+id/btn_forward"
            android:layout_toRightOf="@+id/btn_back"/>

        <ImageView android:id="@+id/btn_back" android:clickable="true"
            android:focusable="true" android:layout_width="wrap_content"
            android:layout_height="wrap_content" android:paddingLeft="15dp"
            android:layout_alignParentLeft="true" android:visibility="visible"
            android:layout_alignWithParentIfMissing="true" android:src="@drawable/btn_arrow_left" />

        <ImageView android:id="@+id/btn_forward" android:clickable="true"
            android:focusable="true" android:layout_width="wrap_content"
            android:layout_height="wrap_content" android:paddingRight="15dp"
            android:layout_alignParentRight="true" android:visibility="visible"
            android:layout_alignWithParentIfMissing="true" android:src="@drawable/btn_arrow_right" />
    </RelativeLayout>

        <!-- Station Radio Text information display -->
        <TextView android:id="@+id/radio_text_tv"
           android:layout_width="fill_parent"
           android:layout_height="wrap_content"
           android:textAppearance="?android:attr/textAppearanceMedium"
           android:textSize="15sp"
           android:singleLine="true"
           android:textStyle="bold"
           android:paddingTop="20dp"
           android:paddingLeft="2dp"
           android:paddingRight="2dp"
           android:paddingBottom="5dp"
           android:gravity="center_horizontal"
           android:text="@string/radio_text_string"
           android:focusable="true"
           android:focusableInTouchMode="true"
           android:ellipsize="marquee"
           android:marqueeRepeatLimit="marquee_forever"
         />
    </LinearLayout>

</merge>
